2

Ever since I've started logging into my system using the FreeNX server, I can no longer edit project files with eclipse. It will crash when I attempt to click anywhere in the code, with the error:

The program 'Eclipse' received an X Window System error. This probably reflects a bug in the program. The error was 'BadValue (integer parameter out of range for operation)'. (Details: serial 39071 error_code 2 request_code 149 minor_code 26) (Note to programmers: normally, X errors are reported asynchronously; that is, you will receive the error a while after causing it. To debug your program, run it with the --sync command line option to change this behavior. You can then get a meaningful backtrace from your debugger if you break on the gdk_x_error() function.)

Some googling revealed that I may need to install XULRunner 10.0.2 for eclipse to function... I have done so, and after editing Eclipse's config file, it will continue to crash.

Another solution, posted on eclipse's bugtracker and relating specifically to using it with NX, reports that updating to >= cairo 1.12.10 may fix the issue - unfortunately, Ubuntu Precise (what I'm using) is only on cairo 1.10.

Is there any way get have apt start using the newer stable versions on the (cairo) repo, instead of upgrading my entire system?

3

The eclipse crashing issue was solved with this Arch linux article. Essentially:

Start eclipse using (see https://bugs.eclipse.org/bugs/show_bug.cgi?id=386955):

eclipse -vmargs -Dorg.eclipse.swt.internal.gtk.cairoGraphics=false

I added this to my eclipse.ini file (since I have installed eclipse manually from their site, the config file is /opt/eclipse/eclipse.ini

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.